### Virtual Method

# Ide PipelineStage query

#### Declaration

    void
    query (
      IdePipelineStage* self,
      IdePipeline* pipeline,
      GPtrArray* targets,
      GCancellable* cancellable
    )

#### Description

No description available.

#### Parameters

`pipeline` | `IdePipeline`
| No description available.
| The data is owned by the caller of the function.
`targets` | An array of `gpointer`
| No description available.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.